Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos
Class SLAPolicyHandlerFactory

    java.lang.Object
      org.jini.rio.qos.SLAPolicyHandlerFactory

    public class SLAPolicyHandlerFactory

extends Object

A utility to create a SLAPolicyHandler based on a Configuration

Constructor Summary
`SLAPolicyHandlerFactory()`

Method Summary
`static SLAPolicyHandler` | `create(SLA sla, Object eventSource, EventHandler eventHandler, ServiceBeanContext context, ClassLoader loader)` Create a SLAPolicyHandler based on the provided SLA
`static boolean` | `slaPolicyHandlerChanged(SLA sla, SLAPolicyHandler handler)` Determine if the provided SLAPolicyHandler is the same as the SLAPolicyHandler class configured as part of the SLA.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAPolicyHandlerFactory

    public SLAPolicyHandlerFactory()

Method Detail

### create

    public static SLAPolicyHandler create(SLA sla,
                                          Object eventSource,
                                          EventHandler eventHandler,
                                          ServiceBeanContext context,
                                          ClassLoader loader)
                                   throws ConfigurationException

  Create a SLAPolicyHandler based on the provided SLA

  Parameters:
    `sla` - The SLA object to create an SLAPolicyHandler instance for
    `eventSource` - The object to be used as the remote event source
    `eventHandler` - Handler which sends events
    `context` - The ServiceBeanContext
    `loader` - A ClassLoader to load resources and classes, and to pass when constructing the SLAPolicyHandler. If null, the context class loader will be used.
  Returns:
    A SLAPolicyHandler created fromt the configuration
  Throws:
    `ConfigurationException` - If the configuration cannot be used

### slaPolicyHandlerChanged

    public static boolean slaPolicyHandlerChanged(SLA sla,
                                                  SLAPolicyHandler handler)

  Determine if the provided SLAPolicyHandler is the same as the SLAPolicyHandler class configured as part of the SLA. If the configuration property in the SLA is null, this method will return false. Otherwise, the class name of the provided SLAPolicyHandler will be compared to the attribute specified by the following property:

  `org.jini.rio.qos.SLAPolicyHandler.slaPolicyHandler`

  Parameters:
    `sla` - The SLA to use
    `handler` - The SLAPolicyHandler
  Returns:
    true if the provided SLAPolicyHandler is the same as the SLAPolicyHandler class configured as part of the SLA

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.